Bug 174664 - right click spell-checking drop down not populated correctly
Summary: right click spell-checking drop down not populated correctly
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-01 08:41 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 09:04:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thorsten Leemhuis 2005-12-01 08:41:07 UTC
Description of problem:
The "check while you type" spell-checker for German in the latest openoffice.org
update from updates-testing still works, but there are far less suggestions how
a misspelled word should be spelled if you click with the right mousebutton on it.

Version-Release number of selected component (if applicable):
2.0.1-0.142.3.1 with openoffice.org-langpack-de-2.0.1-0.142.3.1

How reproducible:
Always (with the words below)

Steps to Reproduce:
1.start writer from openoffice.org-2.0.0-3.2.1
2.type for example "verbreitesten adHallo" (both misspelled)
3.Right click on the words one after each other. openoffice will suggest that
"verbreitetsten" and "Hallo" was meant
4.Update to 2.0.1-0.142.3.1 and start writer
5.type "verbreitesten adHallo" again
6.Right click on those words. Openoffice has no suggestions for a correct spelling.

This happens with a lot of other words, too. But it has suggestions for some
others misspelled words.

caolan, you can grep me as thl on freenode if you have further questions.

Comment 1 Thorsten Leemhuis 2005-12-01 11:27:52 UTC
While working further with it I found some more misspelled words, where
openoffice from 2.0.0 updates suggest the correct spelling. The openoffice from
updates-testing does not suggest anything for those:

verkünpft  geschirebener   nachisntallieren  unabhägigen  sogennannten 
rücksicht  bereistellen  einsetzebare

Comment 2 Caolan McNamara 2005-12-01 11:47:26 UTC
> mkdir 2.0.0
> cd 2.0.0
> rpm2cpio openoffice.org-langpack-de-2.0.0-3.2.1.i386.rpm | cpio -ivd
'./usr/lib/openoffice.org2.0/share/dict/ooo/*'
> cd ..
> mkdir 2.0.1
> cd 2.0.1
> rpm2cpio openoffice.org-langpack-de-2.0.1-0.142.3.1.i386.rpm | cpio -ivd
'./usr/lib/openoffice.org2.0/share/dict/ooo/*'
> cd ..
> diff -ru 2.0.0 2.0.1

There is no diff listed for the contents of the dictionaries themselves, so I'm
currently at a bit of a loss

Comment 3 Caolan McNamara 2005-12-01 12:10:18 UTC
hmm, might know what this is.

Comment 4 Caolan McNamara 2005-12-01 13:49:07 UTC
gotcha, final will be ok


Note You need to log in before you can comment on or make changes to this bug.